Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface AuthenticationProvider

public interface AuthenticationProvider
extends SecurityProvider

The `AuthenticationProvider` interface exposes the services provided by an Authentication provider to the WebLogic Security Framework. This allows the Authentication provider to be manipulated (initialized, started, stopped, and so on).

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.

Method Summary
`javax.security.auth.login.AppConfigurationEntry` | `getAssertionModuleConfiguration()` Gets the `AppConfigurationEntry` for the associated Identity Assertion provider's JAAS `LoginModule`.
`IdentityAsserter` | `getIdentityAsserter()` Gets this Authentication provider's associated Identity Assertion provider.
`javax.security.auth.login.AppConfigurationEntry` | `getLoginModuleConfiguration()` Gets the `AppConfigurationEntry` for this Authentication provider's JAAS `LoginModule`.
`PrincipalValidator` | `getPrincipalValidator()` Gets this Authentication provider's associated Principal Validation provider.

Methods inherited from interface weblogic.security.spi.SecurityProvider
`getDescription, initialize, shutdown`

Method Detail

### getLoginModuleConfiguration

    public javax.security.auth.login.AppConfigurationEntry getLoginModuleConfiguration()

  Gets the `AppConfigurationEntry` for this Authentication provider's JAAS `LoginModule`.

  Returns:
    the JAAS configuration specific to this Authentication provider that is needed to properly execute login authentication in this security realm.

### getAssertionModuleConfiguration

    public javax.security.auth.login.AppConfigurationEntry getAssertionModuleConfiguration()

  Gets the `AppConfigurationEntry` for the associated Identity Assertion provider's JAAS `LoginModule`.

  Returns:
    the JAAS configuration specific to an Identity Assertion provider that is needed to properly execute identity assertion in this security realm.

### getPrincipalValidator

    public PrincipalValidator getPrincipalValidator()

  Gets this Authentication provider's associated Principal Validation provider.

  Returns:
    a Principal Validation provider.

### getIdentityAsserter

    public IdentityAsserter getIdentityAsserter()

  Gets this Authentication provider's associated Identity Assertion provider.

  Returns:
    an Identity Assertion provider.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference